export enum Defect {
    BROKEN_PACKAGING,
    MISSING_BARCDODE,
    MISSING_LABEL,
    FREEZER_BURN,
    DISCOLORATION,
    ODOR,
    OTHER,
}

export const defectToLabel = (defect: Defect): string => {
    switch (defect) {
        case Defect.BROKEN_PACKAGING:
            return 'Broken Packaging';
        case Defect.MISSING_BARCDODE:
            return 'Missing Barcode';
        case Defect.MISSING_LABEL:
            return 'Missing Label';
        case Defect.FREEZER_BURN:
            return 'Freezer Burn';
        case Defect.DISCOLORATION:
            return 'Discoloration';
        case Defect.ODOR:
            return 'Odor';
        case Defect.OTHER:
            return 'Other';
    }
};
